package org.jeecg.modules.clockInprojectitem.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: clock_in_project_item
 * @Author: jeecg-boot
 * @Date:   2024-11-05
 * @Version: V1.0
 */
@Data
@TableName("clock_in_project_item")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="clock_in_project_item对象", description="clock_in_project_item")
public class ClockInProjectItem implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**项目编号*/
	@Excel(name = "项目编号", width = 15, dictTable = "clock_in_project", dicText = "name", dicCode = "id")
	@Dict(dictTable = "clock_in_project", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "项目编号")
    private java.lang.String projectId;
	/**打卡开始时间*/
	@Excel(name = "打卡开始时间", width = 20, format = "HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "HH:mm:ss")
    @DateTimeFormat(pattern="HH:mm:ss")
    @ApiModelProperty(value = "打卡开始时间")
    private String clockStartTime;
	/**打卡结束时间*/
	@Excel(name = "打卡结束时间", width = 20, format = "HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "HH:mm:ss")
    @DateTimeFormat(pattern="HH:mm:ss")
    @ApiModelProperty(value = "打卡结束时间")
    private String clockEndTime;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private java.lang.Integer sort;
	/**是否删除*/
    @TableLogic
	@Excel(name = "是否删除", width = 15, dicCode = "is_delete")
	@Dict(dicCode = "is_delete")
    @ApiModelProperty(value = "是否删除")
    private java.lang.Integer delFlag;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;
	/**类型 0正常 1周末 2加班*/
	@Dict(dicCode = "clock_in_project_item_type")
	private Integer type;
}
