import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '用户编号',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '姓名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '身份证号',
    align:"center",
    dataIndex: 'cardNo'
   },
   {
    title: '是否认证',
    align:"center",
    dataIndex: 'authFlag_dictText'
   },
   {
    title: '是否删除',
    align:"center",
    dataIndex: 'delFlag_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '用户编号',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '姓名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '身份证号',
    field: 'cardNo',
    component: 'Input',
  },
  {
    label: '是否认证',
    field: 'authFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"is_delete"
     },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入是否认证!'},
          ];
     },
  },
  {
    label: '是否删除',
    field: 'delFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"is_delete"
     },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入是否删除!'},
          ];
     },
  },
];
