import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '用户编号',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '照片',
    align:"center",
    dataIndex: 'pic',
    customRender:render.renderAvatar,
   },
   {
    title: '打卡地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '经度',
    align:"center",
    dataIndex: 'lon'
   },
   {
    title: '纬度',
    align:"center",
    dataIndex: 'lat'
   },
   {
    title: '是否删除',
    align:"center",
    dataIndex: 'delFlag_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '用户编号',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '照片',
    field: 'pic',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '打卡地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '经度',
    field: 'lon',
    component: 'Input',
  },
  {
    label: '纬度',
    field: 'lat',
    component: 'Input',
  },
  {
    label: '是否删除',
    field: 'delFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"is_delete"
     },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入是否删除!'},
          ];
     },
  },
];
