package org.jeecg.modules.clockinteamlog.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: clockin_team_log
 * @Author: jeecg-boot
 * @Date:   2024-10-24
 * @Version: V1.0
 */
@Data
@TableName("clockin_team_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="clockin_team_log对象", description="clockin_team_log")
public class ClockinTeamLog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**用户编号*/
	@Excel(name = "用户编号", width = 15)
    @ApiModelProperty(value = "用户编号")
    private java.lang.String userId;
	/**团队编号*/
	@Excel(name = "团队编号", width = 15, dictTable = "clockin_team", dicText = "name", dicCode = "id")
	@Dict(dictTable = "clockin_team", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "团队编号")
    private java.lang.String teamId;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String name;
	/**审核状态 0待审核 1审核通过 2审核未通过*/
	@Excel(name = "审核状态 0待审核 1审核通过 2审核未通过", width = 15, dicCode = "clockin_team_log_status")
	@Dict(dicCode = "clockin_team_log_status")
    @ApiModelProperty(value = "审核状态 0待审核 1审核通过 2审核未通过")
    private java.lang.Integer status;
	/**是否删除*/
    @TableLogic
	@Excel(name = "是否删除", width = 15, dicCode = "is_delete")
	@Dict(dicCode = "is_delete")
    @ApiModelProperty(value = "是否删除")
    private java.lang.Integer delFlag;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;
}
