import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '用户编号',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '团队编号',
    align:"center",
    dataIndex: 'teamId_dictText'
   },
   {
    title: '姓名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '审核状态 0待审核 1审核通过 2审核未通过',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '是否删除',
    align:"center",
    dataIndex: 'delFlag_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '用户编号',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '团队编号',
    field: 'teamId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"clockin_team,name,id"
     },
  },
  {
    label: '姓名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '审核状态 0待审核 1审核通过 2审核未通过',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"clockin_team_log_status"
     },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入审核状态 0待审核 1审核通过 2审核未通过!'},
          ];
     },
  },
  {
    label: '是否删除',
    field: 'delFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"is_delete"
     },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入是否删除!'},
          ];
     },
  },
];
